Bug 92520 - LibO crash when editing .odb database properties
Summary: LibO crash when editing .odb database properties
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: bisected target:5.1.0 target:5.0.0.3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-07-03 10:22 UTC by Justin L
Modified: 2016-10-25 19:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2015-07-03 10:22:06 UTC
LibreOffice crashes (program exits without any error message) when going to edit menu -> Database -> Properties. 

Steps to reproduce:
1.)  Open LibreOffice - File New Database
2.)  Connect to an existing database: Spreadsheet.  Select an .xls/.ods and Finish
3.)  Save new database
4.)  Edit -> database -> properties  ::Crash::


The same thing happens if opening an existing .odb file

41e8b42d520cb2aa2dcff3bf3a87b0bcadada6b5 is the first bad commit
commit 41e8b42d520cb2aa2dcff3bf3a87b0bcadada6b5
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Wed May 27 20:08:09 2015 +0800

    source-hash-f7424ed710e54bb2437a28380b03ed7c26290edc
    
    commit f7424ed710e54bb2437a28380b03ed7c26290edc
    Author:     Zolnai Tamás <zolnaitamas2000@gmail.com>
    AuthorDate: Sun Mar 15 13:29:53 2015 +0100
    Commit:     Zolnai Tamás <zolnaitamas2000@gmail.com>
    CommitDate: Tue Mar 17 00:10:01 2015 +0100
    
        SfxTabDialog: avoid changing const input parameter
    
        * SfxTabDialog constructor has a const pointer parameter
        pointing  to the input set and also the corresponding member
        is a const pointer which indicated that set is not changed by
        the dialog, but this is not true, const is casted away and
        the input set is changed.
        * So use a copy of the input set instead, pointed by
        a non-const member, so we can spare some const cast and
        misunderstandings.
        * GetRefreshedSet not behaves as a getter method, but changes
        the input set instead, so redeclare it accordingly.
    
        Change-Id: Ic63f9ae68c50e65d4498b20f597547c1c075b94e

:040000 040000 9b14ce1c6182fe749076a931462906e285f77e96 bf872bb48f361d3e24566f19e0fd9702eaa10cf9 M	opt
justin@jcl-1404 ~/git/bibisect-50max $ git bisect log
# bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
# good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
git bisect start 'master' 'oldest'
# good: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
git bisect good 0c30a2c797b249d0cd804cb71554946e2276b557
# skip: [2ce02b2ce56f12b9fcb9efbd380596975a3a5686] source-hash-17d714eef491bda2512ba8012e5b3067ca19a5be
git bisect skip 2ce02b2ce56f12b9fcb9efbd380596975a3a5686
# skip: [992a4c494681dee7ab6a2af97b3f083d06a62228] source-hash-6ea42ddf8f06b7551e80a906908dbad0766a68c6
git bisect skip 992a4c494681dee7ab6a2af97b3f083d06a62228
# skip: [a5c0fd757807934f53fa8304cc258daf597f4176] source-hash-9d17e1250acb7c5c60cdf8d71476c5873b8b4a9b
git bisect skip a5c0fd757807934f53fa8304cc258daf597f4176
# bad: [abc016762ad0d49066daf7fd1eb3c234e46b8d81] source-hash-0b037361b890a83a735186b98d5a3cef124027f4
git bisect bad abc016762ad0d49066daf7fd1eb3c234e46b8d81
# bad: [2f9388811c369edf5ee041c96eafc36abfd3e325] source-hash-b98a8221c70474687c4da8c60f2892ce9a792e93
git bisect bad 2f9388811c369edf5ee041c96eafc36abfd3e325
# good: [3bfba65266eb4dc16ff182472affa60b65b52805] source-hash-e3a85e449ffc4bf98943279d3ffe3dcda007dc24
git bisect good 3bfba65266eb4dc16ff182472affa60b65b52805
# bad: [237f75716c4f44e253c4e51afab5417074ee9934] source-hash-ad287ab7c35851d78ac5a218c9cef0e289bee9c3
git bisect bad 237f75716c4f44e253c4e51afab5417074ee9934
# bad: [53e6bb81b1754ae9d18e104124d8ea9d03803cfd] source-hash-bca6b66358ec26ab6797c72207fdb42066451462
git bisect bad 53e6bb81b1754ae9d18e104124d8ea9d03803cfd
# good: [9269edd1505055945351e10cbae9b6031764c504] source-hash-1fd545024489cd48e484841ca026cdc21e83604b
git bisect good 9269edd1505055945351e10cbae9b6031764c504
# good: [5e149beab420175bb00a116228daa251ca6dd21d] source-hash-13a06aad7c4696e0ae48bfdbdabab18eb9f81d38
git bisect good 5e149beab420175bb00a116228daa251ca6dd21d
# good: [190199746f66084d1de726f00d0d69d02a8be90f] source-hash-274a1bca4f1e41613ee374584880593482c7045b
git bisect good 190199746f66084d1de726f00d0d69d02a8be90f
# good: [6b460a37fc956a0569d049043e61056911cc2308] source-hash-bc4a33aa2a0469d7e96d878de682f1098b0f2744
git bisect good 6b460a37fc956a0569d049043e61056911cc2308
# good: [fae0e8583cf7a430582973a2209cbd27a98321df] source-hash-e3167924fd28c8b854f23139dbf49f53e6282ef7
git bisect good fae0e8583cf7a430582973a2209cbd27a98321df
# bad: [7837a9d6acb4071105a66c281a7bdfc468967880] source-hash-d4652b5e2f1c7a2c207888fade7a41245b7ae9fb
git bisect bad 7837a9d6acb4071105a66c281a7bdfc468967880
# bad: [41e8b42d520cb2aa2dcff3bf3a87b0bcadada6b5] source-hash-f7424ed710e54bb2437a28380b03ed7c26290edc
git bisect bad 41e8b42d520cb2aa2dcff3bf3a87b0bcadada6b5
# first bad commit: [41e8b42d520cb2aa2dcff3bf3a87b0bcadada6b5] source-hash-f7424ed710e54bb2437a28380b03ed7c26290edc
Comment 1 Justin L 2015-07-03 14:00:22 UTC
confirmed that reversing this patch in current libreoffice-5-0 fixes the problem.
Comment 2 tommy27 2015-07-03 15:57:15 UTC
are you contacting the author of the guilty committ?
Comment 3 Justin L 2015-07-03 16:57:44 UTC
I added Zolnai Tamás to the bugs CC list.
Comment 4 Commit Notification 2015-07-04 18:57:15 UTC
Zolnai Tamás committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9216e5ef76ab718568ebda64ccfa0c010390e11a

tdf#92520: LibO crash when editing .odb database properties

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-07-07 07:21:16 UTC
Zolnai Tamás committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cde471c5668d40b4623257db0c33738e191f4bc5&h=libreoffice-5-0

tdf#92520: LibO crash when editing .odb database properties

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Justin L 2015-07-07 19:35:17 UTC
confirm fixed.